CREATE TABLE fnd_tables (
    TABLE_ID                  NUMBER(18, 0) ,
    TABLE_NAME                VARCHAR2(120)     NOT NULL,
    PHYSICAL_TABLE_NAME       VARCHAR2(120) ,
    APPLICATION_SHORT_NAME    VARCHAR2(200) ,
    USER_TABLE_NAME           VARCHAR2(320) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    TABLE_TYPE                VARCHAR2(40)  ,
    DESCRIPTION               VARCHAR2(4000),
    HOSTED_SUPPORT_STYLE      VARCHAR2(120) ,
    LOGICAL                   VARCHAR2(4)   ,
    MLS_SUPPORT_MODEL         VARCHAR2(120) ,
    STATUS                    VARCHAR2(120) ,
    DEPLOY_TO                 VARCHAR2(120) ,
    EXTENSION_OF_TABLE        VARCHAR2(120) ,
    SHORT_NAME                VARCHAR2(120) ,
    SHARED_OBJECT             VARCHAR2(120) ,
    CONFLICT_RESOLUTION       VARCHAR2(120) ,
    TABLESPACE_TYPE           VARCHAR2(120) ,
    SELECT_ALLOWED            VARCHAR2(4)       NOT NULL,
    INSERT_ALLOWED            VARCHAR2(4)       NOT NULL,
    UPDATE_ALLOWED            VARCHAR2(4)       NOT NULL,
    DELETE_ALLOWED            VARCHAR2(4)       NOT NULL,
    TRUNCATE_ALLOWED          VARCHAR2(4)       NOT NULL,
    MAINTAIN_PARTITION        VARCHAR2(4)       NOT NULL,
    EXCHANGE_PARTITION        VARCHAR2(4)       NOT NULL,
    MAINTAIN_INDEX            VARCHAR2(4)       NOT NULL,
    FLASHBACK_ALLOWED         VARCHAR2(4)       NOT NULL,
    ENABLE_AUDIT              VARCHAR2(4)       NOT NULL,
    EBR_IMD_CAPTURE_MODEL     VARCHAR2(120)     NOT NULL,
    ORA_EDITION_CONTEXT       VARCHAR2(120) ,
    APPLICATION_DB_TYPE       VARCHAR2(120) ,
    FORCE_ENABLE_FK           VARCHAR2(4)   ,
    JSON_UDP_LIST             VARCHAR2(4000),
    TABLE_ID                  NUMBER(18, 0) ,
    TABLE_NAME                VARCHAR2(120)     NOT NULL,
    APPLICATION_SHORT_NAME    VARCHAR2(200) ,
    USER_TABLE_NAME           VARCHAR2(320) ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    TABLE_TYPE                VARCHAR2(40)  ,
    DESCRIPTION               VARCHAR2(4000),
    HOSTED_SUPPORT_STYLE      VARCHAR2(120) ,
    LOGICAL                   VARCHAR2(4)   ,
    MLS_SUPPORT_MODEL         VARCHAR2(120) ,
    STATUS                    VARCHAR2(120) ,
    DEPLOY_TO                 VARCHAR2(120) ,
    EXTENSION_OF_TABLE        VARCHAR2(120) ,
    SHORT_NAME                VARCHAR2(120) ,
    SHARED_OBJECT             VARCHAR2(120) ,
    CONFLICT_RESOLUTION       VARCHAR2(120) ,
    TABLESPACE_TYPE           VARCHAR2(120) ,
    SELECT_ALLOWED            VARCHAR2(4)       NOT NULL,
    INSERT_ALLOWED            VARCHAR2(4)       NOT NULL,
    UPDATE_ALLOWED            VARCHAR2(4)       NOT NULL,
    DELETE_ALLOWED            VARCHAR2(4)       NOT NULL,
    TRUNCATE_ALLOWED          VARCHAR2(4)       NOT NULL,
    MAINTAIN_PARTITION        VARCHAR2(4)       NOT NULL,
    EXCHANGE_PARTITION        VARCHAR2(4)       NOT NULL,
    MAINTAIN_INDEX            VARCHAR2(4)       NOT NULL,
    FLASHBACK_ALLOWED         VARCHAR2(4)       NOT NULL,
    ENABLE_AUDIT              VARCHAR2(4)       NOT NULL,
    PHYSICAL_TABLE_NAME       VARCHAR2(120) ,
    ORA_EDITION_CONTEXT       VARCHAR2(120) ,
    EBR_IMD_CAPTURE_MODEL     VARCHAR2(120)     NOT NULL,
    APPLICATION_DB_TYPE       VARCHAR2(120) ,
    FORCE_ENABLE_FK           VARCHAR2(4)   ,
    JSON_UDP_LIST             VARCHAR2(4000),
    CONSTRAINT pk_fnd_tables PRIMARY KEY (TABLE_ID, ORA_EDITION_CONTEXT, TABLE_ID, ORA_EDITION_CONTEXT)
);
